Copyright: Copyright ©1996 Global Majic Software, Inc.
Citation: Copyright ©1996 Global Majic Software, Inc.


ASP
ASSOCIATION OF SHAREWARE PROFESSIONALS (ASP) OMBUDSMAN STATEMENT

Global Majic Software, Inc. is a member of the Association of Shareware Professionals (ASP). ASP wants to make sure that the shareware principle works for you. If you are unable to resolve a shareware-related problem with Global Majic Software, Inc. by contacting them directly, ASP may be able to help. The ASP Ombudsman can help you resolve a dispute or problem with an ASP member, but does not provide technical support for members' products.

Please write to the ASP Ombudsman at:

545 Grover Road

Muskegon, MI 49442-9427 USA

FAX 616-788-2765

or send a CompuServe message via CompuServe Mail to:

ASP Ombudsman 70007,3536


AnnularColor
ANNULARCOLOR PROPERTY

Description

Determines the color of the annular currently selected by AnnularID.

Usage

[form.]control.AnnularColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.  See the example for more information on setting annular properties.

Related Properties

AnnularID, AnnularInnerRadius, AnnularOuterRadius, Annulars, AnnularStartValue and AnnularStopValue

Data Type

Long


AnnularID
ANNULARID PROPERTY

Description

Assigns a unique ID to each annular.  This property must be set before any other annular property (except Annulars).  The total number of annulars is determined by the Annulars property and AnnularID has valid values from 0 to Annulars-1.

Usage

[form.]control.AnnularID[ = integer ]

Remarks

The number of Annulars must be set before this property can be set.  See the example for more information on setting annular properties.

Related Properties

AnnularColor, AnnularInnerRadius, AnnularOuterRadius, Annulars, AnnularStartValue and AnnularStopValue

Data Type

Integer


AnnularInnerRadius
ANNULARINNERRADIUS PROPERTY

ANNULAROUTERRADIUS PROPERTY

Description

Determines the inner and outer radii of the annular currently selected by AnnularID.  These properties are based on a unitless scale and typically have values between 0.0 and 1.0.

Usage

[form.]control.AnnularInnerRadius[ = single ]

[form.]control.AnnularOuterRadius[ = single ]

Remarks

The inner radius should be less than the outer radius.  If this is not the case, the control will not crash but the annular will not display.  See the example for more information on setting annular properties.

Related Properties

AnnularColor, AnnularID, Annulars, AnnularStartValue and AnnularStopValue

Data Type

Single


AnnularStartValue
ANNULARSTARTVALUE PROPERTY

ANNULARSTOPVALUE PROPERTY

Description

Determines the values at which the annular region begins and ends.  The values are numbers between ScaleMinValue and ScaleMaxValue.

Usage

[form.]control.AnnularStartValue[ = single ]

[form.]control.AnnularStopValue[ = single ]

Remarks

The AnnularStartValue should be less than the AnnularStopValue.  See the example for more information on setting annular properties.

Related Properties

AnnularColor, AnnularID, AnnularInnerRadius, AnnularOuterRadius and Annulars

Data Type

Single


Annulars
ANNULARS PROPERTY

Description

Determines the number of annular regions displayed on the control.  This property must be set before all other annular properties are entered (see example).  The AnnularID property is used to select the region to which annular properties apply.

Usage

[form.]control.Annulars[ = integer ]

Remarks

See the example for more information on setting annular properties.

Related Properties

AnnularColor, AnnularID, AnnularInnerRadius, AnnularOuterRadius, AnnularStartValue and AnnularStopValue

Data Type

Integer


AutoRedraw
AUTOREDRAW PROPERTY

Description

Determines whether the control is redraw manually or automatically.

Usage

[form.]control.AutoRedraw[ = {TRUE|FALSE} ]

Setting

The property settings are:

Setting 	Description

TRUE	Automatic (default) - The operating system will redraw the control when it has time.

FALSE	Manual - The user is responsible for all redraw commands.

Remarks

If AutoRedraw=TRUE, then the control will be redrawn after any property is changed.  If several properties are being changed rapidly, then the control may seem slow and/or may not update when desired.  In this case, it may be wise to set AutoRedraw=FALSE and issue a Redraw command after all the desired property changes are made.

Related Property

Redraw

Data Type

Integer (Boolean)


BackgroundColor
BACKGROUNDCOLOR PROPERTY

Description

Determines the background color of the control.  It is ignored if BackgroundPicture is set.

Usage

[form.]control.BackgroundColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Data Type

Long


BackgroundPicture
BACKGROUNDPICTURE PROPERTY

Description

Determines the graphic to be displayed in the background of the control.

Usage

[form.]control.BackgroundPicture[ = picture ]

Setting

The BackgroundPicture property settings are:

Setting	Description

(none)	No picture is displayed.

(bitmap)	At design time, specify the bitmap file name to be displayed.  At run-time, specify the bitmap using Visual Basic's LoadPicture (or comparable) function.

Remarks

When setting the picture at design-time, the picture will be saved with the form and will be compiled into the executable.

Data Type

Picture


BevelInner
BEVELINNER PROPERTY

BEVELOUTER PROPERTY

Description

Sets or returns the inner or outer shadow styles of the control.

Usage

[form.]control.BevelInner[ = integer ]

[form.]control.BevelOuter[ = integer ]

Setting

The property settings are:

Setting	Description

0	None

1	Raised

2	Inset

Remarks

These properties have no affect when BevelWidth=0.

Related Properties

BevelWidth and BorderWidth

Data Type

Integer (Enumerated)


BevelWidth
BEVELWIDTH PROPERTY

Description

Sets or returns the shadow sizes of the inner and outer bevels of the control.

Usage

[form.]control.BevelWidth[ = integer ]

Related Properties

BevelInner, BevelOuter and BorderWidth

Data Type

Integer


BorderType
BORDERTYPE PROPERTY

Description

Sets or returns the style of the border around the control.

Usage

[form.]control.BorderType[ = integer ]

Setting

The BoderType property settings are:

Setting 	Description

0 (None)	Border is not displayed.

1 (Bevel)	3D beveled border is displayed using BevelInner, BevelOuter, BevelWidth and BorderWidth properties.

2 (Outline)	Frame style border is displayed using OutlineAlign, OutlineColor, OutlineTitle and OutlineWidth properties.

Data Type

Integer (Enumerated)


BorderWidth
BORDERWIDTH PROPERTY

Description

Sets or returns the border size between the inner and outer bevels of the control.

Usage

[form.]control.BorderWidth[ = integer ]

Related Properties

BevelInner, BevelOuter and BevelWidth

Data Type

Integer


Caption
CAPTION PROPERTY

Description

Determines the text displayed on the control for the caption currently selected by CaptionID.  The number of captions displayed is set using the Captions property.

Usage

[form.]control.Caption[ = string ]

Remarks

See the example for more information on setting caption properties.

Related Properties

CaptionColor, CaptionFontID, CaptionID, Captions, CaptionX and CaptionY

Data Type

String


CaptionColor
CAPTIONCOLOR PROPERTY

Description

Determines the text color for the caption currently selected by CaptionID.

Usage

[form.]control.CaptionColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.  See the example for more information on setting caption properties.

Related Properties

Caption, CaptionFontID, CaptionID, Captions, CaptionX and CaptionY

Data Type

Long


CaptionFontID
CAPTIONFONTID PROPERTY

Description

Determines which font (designated by FontID) is used for the caption currently selected by CaptionID.

Usage

[form.]control.CaptionFontID[ = integer ]

Remarks

See the example for more information on setting caption properties.

Related Properties

Caption, CaptionColor, CaptionID, Captions, CaptionX and CaptionY

Data Type

Integer


CaptionID
CAPTIONID PROPERTY

Description

Assigns a unique ID to each caption.  This property must be set before any other caption property (except Captions).  The total number of captions is determined by the Captions property and CaptionID has valid values from 0 to Captions-1.

Usage

[form.]control.CaptionID[ = integer ]

Remarks

The number of Captions must be set before this property can be set.  See the example for more information on setting caption properties.

Related Properties

Caption, CaptionColor, CaptionFontID, Captions, CaptionX and CaptionY

Data Type

Integer


CaptionX
CAPTIONX PROPERTY

CAPTIONY PROPERTY

Description

Determines the vertical and horizontal position of the caption currently selected by the CaptionID property.  These properties are based on a unitless scale and typically have values between -1.0 and 1.0 where a value of 0.0 is located at the center of the control.

Usage

[form.]control.CaptionX[ = single ]

[form.]control.CaptionY[ = single ]

Remarks

See the example for more information on setting caption properties.

Related Properties

Caption, CaptionColor, CaptionFontID, CaptionID and Captions

Data Type

Single


Captions
CAPTIONS PROPERTY

Description

Determines the number of captions displayed on the control.  This property must be set before all other caption properties are entered (see example).  The CaptionID property is used to select the caption to which caption properties apply.

Usage

[form.]control.Captions[ = integer ]

Remarks

See the example for more information on setting caption properties.

Related Properties

Caption, CaptionColor, CaptionFontID, CaptionID, CaptionX and CaptionY

Data Type

Integer


Contents

Global Majic Software, Inc.

Knob Control

Properties	Events	Product Support	Copyright

Description:

This control is a highly customizable knob or dial control.  Properties are provided to modify knob style, mark, scale, tics, annulars, captions, border and background.  The mouse may optionally be used to change knob values.  Additionally, there are snap and multiturn functions.

Scale:

Scale is used to define the extent of the units displayed on the knob, the location of the knob center, and the knob's start and stop angles.

Knobs:

There are several styles of knobs.  Properties are provided to modify the knob's style, inner-outer radii, width, and color.  Additionally, user defined knob shapes may be specified.

Mark:

Each knob may be adorned with a single mark.  Properties are provided to modify the mark's style, inner-outer radii, width, and color.  Additionally, user defined mark shapes may be incorporated into the control.

Tics:

Tics are used to mark intervals on the control face.  Properties are provided to set the tic's style, start-stop values, interval, inner-outer radii, width, color, and label positions.

Annulars:

Annulars are used for aesthetics as well as indicators of operating ranges.  Properties are provided to modify annular's start-stop values, inner-outer radii, and color.  Multiple annular regions can be placed on a single control.

Captions:

The control can be embellished with multiple captions to indicate the type of measurement being displayed, units used or any other informative or decorative labeling.


Copyright
COPYRIGHT INFORMATION

All Global Majic Software, Inc. software programs, shareware, and freeware are protected under the copyright laws of the United States and foreign countries. All rights are reserved to Global Majic Software, Inc. Violations of copyright laws are investigated by the FBI. Distribution of Global Majic Software, Inc. products implies that you have read and agreed to the distribution terms described below:

INTENT

Global Majic Software, Inc. seeks to distribute its shareware as widely as possible. However, we want the end-users of our software to be properly informed that it is shareware.

DISTRIBUTOR INFORMATION AND LICENSE INFORMATION

The license information and distribution requirements in this document supersede all previous license statements. To continue to distribute Global Majic Software, Inc. products, you must adhere to the licensing and distribution requirements below.

If you are a mail order or BBS-type distributor of shareware software, you may distribute these programs as they are, without any changes other than expanding files contained in the ZIP archives. However, you have the responsibility to check from time to time, at a minimum interval of 6 months, for new versions of these programs, and to update your copies in a timely manner. Global Majic Software, Inc. will gladly send you a diskette containing the current versions on request.

You must fully identify all Global Majic Software, Inc. programs in your advertising, by the program's full name and version, and indicate the registration fee in the program description. The words Global Majic Software, Inc. must appear in all program descriptions.

SHAREWARE DISCLOSURE REQUIRED

All advertising and packaging information including references to Global Majic Software, Inc. products must contain a statement explaining the shareware concept.  Specifically, that statement must explain that shareware software MUST be registered by the user, after a trial period, by paying a registration fee, and that all monies paid for the shareware version are duplication and distribution charges only. All such statements must be clearly displayed in a position where they are likely to be read by potential customers.

RETAIL RACK AND CD-ROM DISTRIBUTION

If you distribute shareware in a retail setting in racks, store displays, vending machines, at computer fairs, or in any way other than normal BBS or catalog-based sales, you must contact Global Majic Software, Inc. for permission to distribute any Global Majic Software, Inc. program. Rack or retail-like sales require a special distribution license, normally requiring royalties paid to Global Majic Software, Inc. If you distribute shareware on CD-ROM disks, you must also contact Global Majic Software, Inc. before including any Global Majic Software, Inc. shareware programs on a CD-ROM disk. Normally, permission is granted, but current versions must be included and all old versions of any Global Majic Software, Inc. program removed from any CD-ROM disk containing Global Majic Software, Inc. products.


Digital
DIGITAL PROPERTY

Description

Enables or disables the digital display of the KnobValue on the control.

Usage

[form.]control.Digital[ = {TRUE|FALSE} ]

Setting

The property settings are:

Setting 	Description

TRUE	A digital readout of the current KnobValue is displayed.

FALSE	No digital display.

Related Properties

DigitalColor, DigitalDecimals, DigitalFontID, DigitalX, DigitalY and KnobValue

Data Type

Integer (Boolean)


DigitalColor
DIGITALCOLOR PROPERTY

Description

Determines the color of the digital display (if Digital=TRUE).

Usage

[form.]control.DigitalColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Related Properties

Digital, DigitalDecimals, DigitalFontID, DigitalX, DigitalY and KnobValue

Data Type

Long


DigitalDecimals
DIGITALDECIMALS PROPERTY

Description

Determines how many places (to the right of the decimal) are displayed in the digital display (if Digital=TRUE).

Usage

[form.]control.DigitalDecimals[ = integer ]

Related Properties

Digital, DigitalColor, DigitalFontID, DigitalX, DigitalY and KnobValue

Data Type

Integer


DigitalFontID
DIGITALFONTID PROPERTY

Description

Determines which font (designated by FontID) is used for the digital display.

Usage

[form.]control.DigitalFontID[ = integer ]

Related Properties

Digital, DigitalColor, DigitalDecimals, DigitalX, DigitalY and KnobValue

Data Type

Integer


DigitalY
DIGITALX PROPERTY

DIGITALY PROPERTY

Description

Determines the vertical and horizontal position of the digital display.  These properties are based on a unitless scale and typically have values between -1.0 and 1.0 where a value of 0.0 is located at the center of the control.

Usage

[form.]control.DigitalX[ = single ]

[form.]control.DigitalY[ = single ]

Related Properties

Digital, DigitalColor, DigitalDecimals, DigitalFontID and KnobValue

Data Type

Single


Events
Events:

Click

DragDrop

DragOver

GotFocus

KeyDown

KeyPress

KeyUp

LostFocus

MouseDown

MouseMove

MouseUp

Turn


Example
EXAMPLE - HOW TO BUILD A KNOB

General Information

This [image] example will explain the process of building a generic knob.  The  final product is shown in Figure 1.  The purpose of this example is to show how several of the control's properties relate to each other.  For example, it depicts how to use the Tic properties to setup multiple tic sets (with or without labels) to obtain a desired appearance.  In general, the steps for setting up tic marks are as follows: 1) set the number of tic sets (Knob1.Tics=2); 2) set the unique id for the tic set (Knob1.TicID=0); 3) set the other tic properties (Knob1.TicColor=&HF&); and 4) change TicID and repeat step 3 if desired.  This same process is used to set the properties for all indexed items contained in the control (annulars, captions, fonts, etc.).  For simplicity, the steps for setting up this example are written out in Visual Basic script.  However, the values may also be assigned using the property list at design time.

Sample Code

'setup scale

Knob1.ScaleStartAngle = -160

Knob1.ScaleStopAngle = 160

Knob1.ScaleMinValue = 0

Knob1.ScaleMaxValue = 100

Knob1.ScaleDirection = 0

'setup fonts

Knob1.Fonts = 3

Knob1.FontID = 0

Knob1.FontBold = True

Knob1.FontName = "Arial"

Knob1.FontSize = 12

Knob1.FontID = 1

Knob1.FontBold = False

Knob1.FontItalic = True

Knob1.FontName = "Arial"

Knob1.FontSize = 12

Knob1.FontID = 2

Knob1.FontBold = False

Knob1.FontItalic = False

Knob1.FontName = "Arial"

Knob1.FontSize = 10

'setup tic marks

Knob1.Tics = 2

Knob1.TicID = 0

Knob1.TicStyle = 1

Knob1.TicWidth = 0.05

Knob1.TicColor = &H80&

Knob1.TicDeltaValue = 10

Knob1.TicStartValue = 0

Knob1.TicStopValue = 100

Knob1.TicInnerRadius = 0.7

Knob1.TicOuterRadius = 0.85

Knob1.TicLabel = True

Knob1.TicLabelRadius = 1

Knob1.TicFontID = 2

Knob1.TicID = 1

Knob1.TicStyle = 0

Knob1.TicWidth = 0.01

Knob1.TicDeltaValue = 10

Knob1.TicStartValue = 5

Knob1.TicStopValue = 95

Knob1.TicInnerRadius = 0.7

Knob1.TicOuterRadius = 0.8

'setup annulars

Knob1.Annulars = 3

Knob1.AnnularID = 0

Knob1.AnnularStartValue = 50

Knob1.AnnularStopValue = 75

Knob1.AnnularInnerRadius = 0.7

Knob1.AnnularOuterRadius = 0.8

Knob1.AnnularColor = &HFFFF&

Knob1.AnnularID = 1

Knob1.AnnularStartValue = 75

Knob1.AnnularStopValue = 100

Knob1.AnnularInnerRadius = 0.7

Knob1.AnnularOuterRadius = 0.8

Knob1.AnnularColor = &HFF&

Knob1.AnnularID = 2

Knob1.AnnularStartValue = 0

Knob1.AnnularStopValue = 100

Knob1.AnnularInnerRadius = 0.68

Knob1.AnnularOuterRadius = 0.71

Knob1.AnnularColor = &H808080

'setup captions

Knob1.Captions = 2

Knob1.CaptionID = 0

Knob1.CaptionFontID = 0

Knob1.Caption = "Generic Knob"

Knob1.CaptionX = 0

Knob1.CaptionY = 1.15

Knob1.CaptionID = 1

Knob1.CaptionFontID = 1

Knob1.Caption = "Units"

Knob1.CaptionX = 0

Knob1.CaptionY = -1.1

'setup knob

Knob1.KnobStyle = 0

Knob1.KnobRadius = 0.65

Knob1.KnobValue = 52.1135

Knob1.KnobColor = &H0&

'setup mark

Knob1.MarkStyle = 2

Knob1.MarkInnerRadius = 0.25

Knob1.MarkOuterRadius = 1

Knob1.MarkWidth = 0.3

Knob1.MarkColor = &HFFFFFF


FontDialog
FONTDIALOG PROPERTY

Description

Selecting this property (in design mode) launches the font dialog box shown below.  This dialog sets the font properties for the font currently selected by FontID.

Usage

This property can only be used at design time.  Use standard font properties to set fonts in code.

Related Properties

FontBold, FontID, FontItalic, FontName, Fonts, FontSize, FontStrike and FontUnder

Data Type

N/A


FontID
FONTID PROPERTY

Description

This property allows the control to display several different fonts by assigning a unique ID to each font.  The total number of fonts is determined by the Fonts property and FontID has valid values from 0 to Fonts-1.

Usage

[form.]control.FontID[ = integer ]

Remarks

The desired font is obtained by selecting the corresponding FontID (through the use of CaptionFontID for example).  See the example for more information on setting font properties.

Related Properties

CaptionFontID, DigitalFontID, FontBold, FontDialog, FontItalic, FontName, Fonts, FontSize, FontStrike, FontUnder and TicFontID

Data Type

Integer


Fonts
FONTS PROPERTY

Description

Determines the number of fonts displayed on the control.  This property must be set before all other font properties are entered (see example).  The FontID is used to select the font to which other font properties apply.

Usage

[form.]control.Fonts[ = integer ]

Remarks

See the example for more information on setting font properties.

Related Properties

CaptionFontID, DigitalFontID, FontBold, FontDialog, FontID, FontItalic, FontName, FontSize, FontStrike, FontUnder and TicFontID

Data Type

Integer


FrameColor
FRAMECOLOR PROPERTY

Description

Determines the frame color surrounding the control's face.

Usage

[form.]control.FrameColor[ = color ]

Remarks

This property only applies when FrameStyle is set and FramePicture has not been specified.  This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Related Properties

FramePicture, FrameScaleX, FrameScaleY and FrameStyle

Data Type

Long


FramePicture
FRAMEPICTURE PROPERTY

Description

Determines the graphic to be displayed in the frame surrounding the control's face.

Usage

[form.]control.FramePicture[ = picture ]

Setting

The FramePicture property settings are:

Setting	Description

(none)	No picture is displayed.

(bitmap)	At design time specify the bitmap file name to be displayed.  At run-time specify the bitmap using Visual Basic's LoadPicture (or comparable) function.

Remarks

This property only applies when FrameStyle is set.  When setting the picture at design-time, the picture will be saved with the form and will be compiled into the executable.

Related Properties

FrameColor, FrameScaleX, FrameScaleY and FrameStyle

Data Type

Picture


FrameScaleX
FRAMESCALEX PROPERTY

FRAMESCALEY PROPERTY

Description

Determines the vertical and horizontal size of the opening inside of the frame surrounding the control.  For a circular FrameStyle, FrameScaleY is ignored and FrameScaleX is used to define the radius of the opening inside the frame surrounding the control.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.FrameScaleX[ = single ]

[form.]control.FrameScaleY[ = single ]

Related Properties

FrameColor, FramePicture and FrameStyle

Data Type

Single


FrameStyle
FRAMESTYLE PROPERTY

Description

Sets or returns the style of the frame surrounding the control.

Usage

[form.]control.FrameStyle[ = integer ]

Setting

The FrameStyle property settings are:

Setting 	Description

0 (None)	A frame is not displayed.

1 (Circle)	A circular frame is displayed using FrameScaleX as the internal radius.

2 (Rectangle)	A rectangular frame is displayed using FrameScaleX and FrameScaleY properties to size the interior size of the frame.

Related Properties

FrameColor, FramePicture, FrameScaleX and FrameScaleY

Data Type

Integer (Enumerated)


KnobColor
KNOBCOLOR PROPERTY

Description

Determines the knob's color.

Usage

[form.]control.KnobColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Related Properties

KnobMultiTurn, KnobMultiTurnValue, KnobPicture, KnobRadius, KnobSnap, KnobSnapIncrement, KnobStyle, KnobUserDefined and KnobValue

Data Type

Long


KnobMultiTurn
KNOBMULTITURN PROPERTY

Description

This property determines whether or not the knob can turn through multiple revolutions.  The number of revolutions is dependent on the KnobMultiTurnValue property.

Usage

[form.]control.KnobMultiTurn[ = {TRUE|FALSE} ]

Setting

The property settings are:

Setting 	Description

TRUE	Multiple knob revolutions are allowed.

FALSE	Limits the knob to one revolution as defined by ScaleStartAngle and ScaleStopAngle (default).

Related Properties

KnobColor, KnobMultiTurnValue, KnobPicture, KnobRadius, KnobSnap, KnobSnapIncrement, KnobStyle, KnobUserDefined and KnobValue

Data Type

Integer (Boolean)


KnobMultiTurnValue
KNOBMULTITURNVALUE PROPERTY

Description

This property is used to determine how many revolutions a knob can turn.  The number of revolutions is determined by the knob's maximum value (ScaleMaxValue) divided by the KnobMultiTurnValue property.  For example, a knob where ScaleMaxValue=500 and KnobMultiTurnValue=100 can make 5 complete revolutions.

Usage

[form.]control.KnobMultiTurnValue[ = integer ]

Remarks

This property is ignored if KnobMultiTurn=FALSE.

Related Properties

KnobColor, KnobMultiTurn, KnobPicture, KnobRadius, KnobSnap, KnobSnapIncrement, KnobStyle, KnobUserDefined and KnobValue

Data Type

Integer


KnobPicture
KNOBPICTURE PROPERTY

Description

Determines the graphic to be displayed as the knob.  Unlike knobs which are defined using the KnobStyle property, a knob defined by a picture does not rotate.  The rotating effect is simulated by rotating the knob's mark.

Usage

[form.]control.KnobPicture[ = picture ]

Setting

The BackgroundPicture property settings are:

Setting	Description

(none)	No picture is displayed and the knob is defined by KnobStyle.

(bitmap)	At design time, specify the bitmap file name to be displayed.  At run-time, specify the bitmap using Visual Basic's LoadPicture (or comparable) function.

Remarks

Bitmaps with transparent backgrounds are not supported.  When setting the picture at design-time, the picture will be saved with the form and will be compiled into the executable.

Related Properties

KnobColor, KnobMultiTurn, KnobMultiTurnValue, KnobPicture, KnobRadius, KnobSnap, KnobSnapIncrement, KnobStyle, KnobUserDefined and KnobValue

Data Type

Picture


KnobRadius
KNOBRADIUS PROPERTY

Description

Determines the outer radius of the knob.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.KnobRadius[ = single ]

Remarks

The outer radius should be greater than zero.

Related Properties

KnobColor, KnobMultiTurn, KnobMultiTurnValue, KnobPicture, KnobSnap, KnobSnapIncrement, KnobStyle, KnobUserDefined and KnobValue

Data Type

Single


KnobSnap
KNOBSNAP PROPERTY

Description

Enables or disables the control's ability to display any value within the range defined by ScaleMinValue and ScaleMaxValue.  For example, if the scale ranges from 0 to 10, KnobSnap=TRUE and KnobSnapIncrement=2, then KnobValue can only have the values 0, 2, 4, 6, 8 and 10.

Usage

[form.]control.KnobSnap[ = {TRUE|FALSE} ]

Setting

The property settings are:

Setting 	Description

TRUE	Limits KnobValue to the increments defined by KnobSnapIncrement.

FALSE	Enables KnobValue to have any floating point value within the range defined by the scale (default).

Related Properties

KnobColor, KnobMultiTurn, KnobMultiTurnValue, KnobPicture, KnobRadius, KnobSnapIncrement, KnobStyle, KnobUserDefined and KnobValue

Data Type

Integer (Boolean)


KnobSnapIncrement
KNOBSNAPINCREMENT PROPERTY

Description

Determines the allowable incremental change of the knob's value if KnobSnap=TRUE.  For example, a control where the knob scale is 0 to 10 and KnobSnapIncrement=2 will only allow KnobValues of 0, 2, 4, 6, 8, and 10.

Usage

[form.]control.KnobSnapIncrement[ = integer ]

Remarks

This property is ignored if KnobSnap=FALSE.

Related Properties

KnobColor, KnobMultiTurn, KnobMultiTurnValue, KnobPicture, KnobRadius, KnobSnap, KnobStyle, KnobUserDefined and KnobValue

Data Type

Integer


KnobStyle
KNOBSTYLE PROPERTY

Description

Sets or returns the style of the knob.

Usage

[form.]control.KnobStyle[ = integer ]

Setting

The KnobStyle property settings are:

Setting 	Description

0	Circular

1	Pointer

2	Complex

3	Faucet

4	User-defined shape

5	User-defined bitmap

Related Properties

KnobColor, KnobMultiTurn, KnobMultiTurnValue, KnobPicture, KnobRadius, KnobSnap, KnobSnapIncrement, KnobUserDefined and KnobValue

Data Type

Integer (Enumerated)


KnobUserDefined
KNOBUSERDEFINED PROPERTY

MARKUSERDEFINED PROPERTY

Description

Determines the shape of a user defined knob or mark.  This property only applies when KnobStyle = 4 (for knobs) or when MarkStyle=4 (for marks).  These properties define a polygon made from a list of x,y coordinate pairs (comma delimited).  The shape is defined using a coordinate system in which (0,0) is located at the center of the knob and the "pointer" of the knob (or tip of the mark) is typically defined as (0,1000).

Usage

[form.]control.KnobUserDefined[ = string ]

[form.]control.MarkUserDefined[ = string ]

Example

Knob1.MarkUserDefined = "250,0,   250,750,   500,750,   0,1000,   -500,750,   -250,750, -250,0"

The following image displays the shape defined in a coordinate system with origin at (0,0) and (1000,1000) extents.

The following image is a screen snap shot of the above shape used in a simple control (knob not shown).

Related Properties

KnobUserDefined:	KnobColor, KnobMultiTurn, KnobMultiTurnValue, KnobPicture, KnobRadius, KnobSnap, KnobSnapIncrement, KnobStyle and KnobValue

MarkUserDefined:	MarkColor, MarkInnerRadius, MarkOuterRadius, MarkStyle and MarkWidth

Data Type

String


KnobValue
KNOBVALUE PROPERTY

Description

Sets or returns the value of the knob.  The KnobValue is a number between ScaleMinValue and ScaleMaxValue.

Usage

[form.]control.KnobValue[ = single ]

Related Properties

KnobColor, KnobMultiTurn, KnobMultiTurnValue, KnobPicture, KnobRadius, KnobSnap, KnobSnapIncrement, KnobStyle and KnobUserDefined

Data Type

Single


MarkColor
MARKCOLOR PROPERTY

Description

Determines the knob mark's color.

Usage

[form.]control.MarkColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Related Properties

MarkInnerRadius, MarkOuterRadius, MarkStyle, MarkUserDefined and MarkWidth

Data Type

Long


MarkInnerRadius
MARKINNERRADIUS PROPERTY

MARKOUTERRADIUS PROPERTY

Description

Determines the inner and outer radii of the knob's mark.  The scale of these properties is based on the knob's size . For example, an inner radius of 0.0 and an outer radius of 1.0 yields a mark from the knob's center to its outer edge.

Usage

[form.]control.MarkInnerRadius[ = single ]

[form.]control.MarkOuterRadius[ = single ]

Remarks

The inner radius should be less than the outer radius.

Related Properties

MarkColor, MarkStyle, MarkUserDefined and MarkWidth

Data Type

Single


MarkStyle
MARKSTYLE PROPERTY

Description

Sets or returns the style of the knob's mark.

Usage

[form.]control.MarkStyle[ = integer ]

Setting

The MarkStyle property settings are:

Setting 	Description

0	None

1	Circular

2	Triangular

3	Arrow

4	User-defined

Related Properties

MarkColor, MarkInnerRadius, MarkOuterRadius, MarkUserDefined and MarkWidth

Data Type

Integer (Enumerated)


MarkWidth
MARKWIDTH PROPERTY

Description

Determines the width of the knob's mark.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.MarkWidth[ = single ]

Related Properties

MarkColor, MarkInnerRadius, MarkOuterRadius, MarkStyle and MarkUserDefined

Data Type

Single


MouseControl
MOUSECONTROL PROPERTY

Description

Enables and disables mouse input to the control.

Usage

[form.]control.MouseControl[ = {TRUE|FALSE} ]

Setting

The MouseControl property settings are:

Setting 	Description

TRUE	Allows the control's value to be modified with mouse input.

FALSE	Disables mouse input to the control.

Data Type

Integer (Boolean)


OutlineAlign
OUTLINEALIGN PROPERTY

Description

Determines the alignment of the OutlineTitle at the top of the control.  This property only applies when BorderType is set to 2 (Outline).

Usage

[form.]control.OutlineAlign[ = integer ]

Setting

The OutlineAlign property settings are:

Setting	Description

0	Left

1	Right

2	Center

Related Properties

BorderType, OutlineColor, OutlineTitle and OutlineWidth

Data Type

Integer (Enumerated)


OutlineColor
OUTLINECOLOR PROPERTY

Description

Determines the color of the outline frame (and OutlineTitle) surrounding the control when BorderType is set to 2 (Outline).

Usage

[form.]control.OutlineColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Related Properties

BorderType, OutlineAlign, OutlineTitle and OutlineWidth

Data Type

Long


OutlineTitle
OUTLINETITLE PROPERTY

Description

Determines the text displayed as the title in the outline frame surrounding the control when the BorderType is set to 2 (Outline).

Usage

[form.]control.OutlineTitle[ = string ]

Related Properties

BorderType, OutlineAlign, OutlineColor and OutlineWidth

Data Type

String


OutlineWidth
OUTLINEWIDTH PROPERTY

Description

Determines the thickness (in pixels) of the outline frame surrounding the control when BorderType is set to 2 (Outline).

Usage

[form.]control.OutlineWidth[ = integer ]

Related Properties

BorderType, OutlineAlign, OutlineColor and OutlineTitle

Data Type

Integer


PRODUCT SUPPORT

Product support for all products is available to registered users by contacting Global Majic Software, Inc. at any of the following locations:

CompuServe:	73261,3642

AmericaOnline:	GMagic

Internet:	gms@globalmajic.com

Snail Mail:	Global Majic Software, Inc.
P.O. Box 322
Madison, Alabama  35758

TEL/FAX:	(205) 864-0708

Home Page:	http://www.globalmajic.com

Product Support is free for a period of three (3) months from the date of registration.

If you have a shareware-related problem or dispute that you are unable to resolve with Global Majic Software, Inc., please feel free to contact the Association of Shareware Professionals.


Properties
Properties:

AnnularColor	FontItalic	Name
AnnularID	FontName	OutlineAlign
AnnularInnerRadius	Fonts	OutlineColor
AnnularOuterRadius	FontSize	OutlineTitle
Annulars	FontStrike	OutlineWidth
AnnularStartValue	FontUnder	Redraw
AnnularStopValue	FrameColor	ScaleDirection
AutoRedraw	FramePicture	ScaleMaxValue
BackgroundColor	FrameScaleX	ScaleMinValue
BackgroundPicture	FrameScaleY	ScaleOriginX
BevelInner	FrameStyle	ScaleOriginY
BevelOuter	Height	ScaleStartAngle
BevelWidth	Index	ScaleStopAngle
BorderType	KnobColor	TabIndex
BorderWidth	KnobMultiTurn	TabStop
Caption	KnobMultiTurnValue	Tag
CaptionColor	KnobPicture	TicColor
CaptionFontID	KnobRadius	TicDeltaValue
CaptionID	KnobSnap	TicFontID
Captions	KnobSnapIncrement	TicID
CaptionX	KnobStyle	TicInnerRadius
CaptionY	KnobUserDefined	TicLabel
Digital	KnobValue	TicLabelRadius
DigitalColor	Left	TicOuterRadius
DigitalDecimals	MarkColor	Tics
DigitalFontID	MarkInnerRadius	TicStartValue
DigitalX	MarkOuterRadius	TicStopValue
DigitalY	MarkStyle	TicStyle
Enabled	MarkUserDefined	TicWidth
FontBold	MarkWidth	Top
FontDialog	MouseControl	Visible
FontID	MousePointer	Width


Redraw
REDRAW PROPERTY

Description

Issues a redraw command to the control if AutoRedraw=FALSE.

Usage

[form.]control.Redraw[ = {TRUE|FALSE} ]

Setting

The property settings are:

Setting	Description

TRUE	Issue a redraw command.

FALSE	Does not issue redraw command.

Remarks

If AutoRedraw=TRUE, then the control will be redrawn after any property is changed.  If several properties are being changed rapidly, then the control may seem slow and/or may not update when desired.  In this case, it may be wise to set AutoRedraw=FALSE and issue a Redraw command after all the desired property changes are made.

Related Property

AutoRedraw

Data Type

Integer (Boolean)


ScaleDirection
SCALEDIRECTION PROPERTY

Description

Determines the direction of increasing values for the control (from ScaleMinValue to ScaleMaxValue).

Usage

[form.]control.ScaleDirection[ = integer ]

Setting

The ScaleDirection property settings are:

Setting	Description

0	Clockwise

1	Counter Clockwise

Related Properties

ScaleMaxValue, ScaleMinValue, ScaleOriginX, ScaleOriginY, ScaleStartAngle and ScaleStopAngle

Data Type

Integer (Enumerated)


ScaleMaxValue
SCALEMAXVALUE PROPERTY

SCALEMINVALUE PROPERTY

Description

Determines the maximum and minimum values displayed by the scale.

Usage

[form.]control.ScaleMaxValue[ = single ]

[form.]control.ScaleMinValue[ = single ]

Remarks

The ScaleMaxValue should be greater than the ScaleMinValue.

Related Properties

ScaleDirection, ScaleOriginX, ScaleOriginY, ScaleStartAngle and ScaleStopAngle.

Data Type

Single


ScaleOriginX
SCALEORIGINX PROPERTY

SCALEORIGINY PROPERTY

Description

Determines the vertical and horizontal position of the knob's center.  These properties are based on a unitless scale and typically have values between -1.0 and 1.0, where a value of 0.0 is located in the center of the control.

Usage

[form.]control.ScaleOriginX[ = single ]

[form.]control.ScaleOriginY[ = single ]

Related Properties

ScaleDirection, ScaleMaxValue, ScaleMinValue, ScaleStartAngle and ScaleStopAngle

Data Type

Single


ScaleStartAngle
SCALESTARTANGLE PROPERTY

SCALESTOPANGLE PROPERTY

Description

Determines the angular extents of the control.  When ScaleDirection is set to 0 (Clockwise), the ScaleStartAngle corresponds to ScaleMinValue and when ScaleDirection is set to 1 (Counter Clockwise), the ScaleStartAngle corresponds to ScaleMaxValue.  The ScaleStopAngle property behaves in a similar fashion.

Usage

[form.]control.ScaleStartAngle[ = single ]

[form.]control.ScaleStopAngle[ = single ]

Remarks

Start and stop angles are bound between 0 and 360 degrees.  Values outside this range are automatically corrected.

Related Properties

ScaleDirection, ScaleMaxValue, ScaleMinValue, ScaleOriginX and ScaleOriginY

Data Type

Single


TicColor
TICCOLOR PROPERTY

Description

Determines the color for the tic set currently selected by TicID.

Usage

[form.]control.TicColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.  See the example for more information on setting tic properties.

Related Properties

TicDeltaValue, TicFontID, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicOuterRadius, Tics, TicStartValue, TicStopValue, TicStyle and TicWidth

Data Type

Long


TicDeltaValue
TICDELTAVALUE PROPERTY

Description

Determines the interval value between tic marks for the tic set currently selected by TicID.

Usage

[form.]control.TicDeltaValue[ = single ]

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicFontID, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicOuterRadius, Tics, TicStartValue, TicStopValue, TicStyle and TicWidth

Data Type

Single


TicFontID
TICFONTID PROPERTY

Description

Determines which font (designated by FontID) is used for the labels of the tic set currently selected by TicID.

Usage

[form.]control.TicFontID[ = integer ]

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicDeltaValue, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicOuterRadius, Tics, TicStartValue, TicStopValue, TicStyle and TicWidth

Data Type

Integer


TicID
TICID PROPERTY

Description

Assigns a unique ID to each tic set.  This property must be set before any other tic property (except Tics).  The total number of tic sets is determined by the Tics property and TicID has valid values from 0 to Tics-1.

Usage

[form.]control.TicID[ = integer ]

Remarks

The number of Tics must be set before this property can be set.  See the example for more information on setting tic properties.

Related Properties

TicColor, TicDeltaValue, TicFontID, TicInnerRadius, TicLabel, TicLabelRadius, TicOuterRadius, Tics, TicStartValue, TicStopValue, TicStyle and TicWidth

Data Type

Integer


TicInnerRadius
TICINNERRADIUS PROPERTY

TICOUTERRADIUS PROPERTY

Description

Determines the inner and outer radii of the tic set currently selected by TicID.  These properties are based on a unitless scale and typically have values between 0.0 and 1.0.

Usage

[form.]control.TicInnerRadius[ = single ]

[form.]control.TicOuterRadius[ = single ]

Remarks

The inner radius should be less than the outer radius.  See the example for more information on setting tic properties.

Related Properties

TicColor, TicDeltaValue, TicFontID, TicID, TicLabel, TicLabelRadius, Tics, TicStartValue, TicStopValue, TicStyle and TicWidth

Data Type

Single


TicLabel
TICLABEL PROPERTY

Description

Enables and disables labels at each tic mark for the tic set currently selected by TicID.  The position of the tic labels is defined by the TicLabelRadius property.

Usage

[form.]control.TicLabel[ = {TRUE|FALSE} ]

Setting

The TicLabel property settings are:

Setting 	Description

TRUE	Labels are displayed.

FALSE	Labels are NOT displayed.

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicDeltaValue, TicFontID, TicID, TicInnerRadius, TicLabelRadius, TicOuterRadius, Tics, TicStartValue, TicStopValue, TicStyle and TicWidth

Data Type

Integer (Boolean)


TicLabelRadius
TICLABELRADIUS PROPERTY

Description

Sets or returns the radius where labels are displayed for the tic set currently selected by TicID.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.TicLabelRadius[ = single ]

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicDeltaValue, TicFontID, TicID, TicInnerRadius, TicLabel, TicOuterRadius, Tics, TicStartValue, TicStopValue, TicStyle and TicWidth

Data Type

Single


TicStartValue
TICSTARTVALUE PROPERTY

TICSTOPVALUE PROPERTY

Description

Determines the value at which the tic marks start and stop for the tic set currently selected by TicID.  These values are numbers between ScaleMinValue and ScaleMaxValue.

Usage

[form.]control.TicStartValue[ = single ]

[form.]control.TicStopValue[ = single ]

Remarks

The TicStartValue should be less than the TicStopValue.  See the example for more information on setting tic properties.

Related Properties

TicColor, TicDeltaValue, TicFontID, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicOuterRadius, Tics, TicStyle and TicWidth

Data Type

Single


TicStyle
TICSTYLE PROPERTY

Description

Determines the style of the tic set currently selected by TicID.

Usage

[form.]control.TicStyle[ = integer ]

Setting

The TicStyle property settings are:

Setting	Description

0	Rectangle

1	Triangle

2	Diamond

3	Circle

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicDeltaValue, TicFontID, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicOuterRadius, Tics, TicStartValue, TicStopValue and TicWidth

Data Type

Integer (Enumerated)


TicWidth
TICWIDTH PROPERTY

Description

Determines the width of the tic marks for the tic set currently selected by TicID.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.TicWidth[ = single ]

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicDeltaValue, TicFontID, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicOuterRadius, Tics, TicStartValue, TicStopValue and TicStyle

Data Type

Single


Tics
TICS PROPERTY

Description

Determines the number of tic sets displayed on the control.  This property must be set before all other tic properties are entered (see example).  The TicID property is used to select the tic set to which the tic properties apply.

Usage

[form.]control.Tics[ = integer ]

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicDeltaValue, TicFontID, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicOuterRadius, TicStartValue, TicStopValue, TicStyle and TicWidth

Data Type

Integer


Turn
A TURN event is fired every time the control's value changes while the left mouse button is down.


font properties
FontBold, FontItalic, FontName, FontSize, FontStrike and FontUnder


UNITLESS SCALE

Description:

Properties which are used to specify position or length use a scale which is based on the size of the control (instead of twips or pixels).  For a control which is square, the coordinate system used is depicted with its origin at the center of the control and its width and height  measured from -1 to 1.

For controls which are not square, the origin is still at the center of the control.  The unit scale used, however, is based on the width or height whichever is smaller so that a unit square fits completely within the control as shown in the two controls below.

NOTE:	For some variables (i.e., radii, width, etc.), the valid range of the unitless scale is from 0 to 1 (negative values have no meaning)